ListFile (Jemboss API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.programs
Class ListFile

    java.lang.Object
      |
      +--org.emboss.jemboss.programs.ListFile

public class ListFile
extends java.lang.Object

Constructor Summary
`ListFile()`

Method Summary
`private static java.lang.String` | `addFileToList(java.lang.String line, java.lang.String listfile, java.util.Hashtable filesToMove)`
`private static java.lang.String[]` | `expandWildcards(java.lang.String line)` Wildcard (*) is allowed in the filelist data types.
`private static byte[]` | `getLocalFile(java.io.File name)` Read file in as a byte array.
`static void` | `parse(java.lang.String fn, java.util.Hashtable filesToMove)` Parse a list file, reading it in line by line, loading other list files recursively if necessary, and loading any files referred to into the filesToMove hash
`private static java.lang.String` | `trim(java.lang.String fn)` Given a list file @file or list::file return just the file name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListFile

    public ListFile()

Method Detail

### parse

    public static void parse(java.lang.String fn,
                             java.util.Hashtable filesToMove)

  Parse a list file, reading it in line by line, loading other list files recursively if necessary, and loading any files referred to into the filesToMove hash

  Parameters:
    `fn` - The name of the list file
    `filesToMove` - The hash to put the files into

### addFileToList

    private static java.lang.String addFileToList(java.lang.String line,
                                                  java.lang.String listfile,
                                                  java.util.Hashtable filesToMove)

### getLocalFile

    private static byte[] getLocalFile(java.io.File name)

  Read file in as a byte array.

### expandWildcards

    private static java.lang.String[] expandWildcards(java.lang.String line)

  Wildcard (*) is allowed in the filelist data types. This function will expand this to find all files with that prefix.

### trim

    private static java.lang.String trim(java.lang.String fn)

  Given a list file @file or list::file return just the file name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD